@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700,800,900');
@font-face {
  font-family: 'AHS_P';
  src: url('fonts/AmericanHorrorStory-Promo.otf') format('truetype');
}


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


body {
  font-family: 'Poppins', sans-serif;
  background: linear-gradient(to bottom, #000000, #1A1A1A);
  color: #EAEAEA;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* padding-top: 100px; */
  -ms-overflow-style: none;
}


/* Ocultar scrollbar */
::-webkit-scrollbar {
  width: 0px;
  height: 0px;
}
/* Ocultar scrollbar en Firefox */
html {
  margin: 0;
  scrollbar-width: none;
}


/* Barra de navegación */
.navbar {
  width: 100%;
  background-color: #111111;
  border-bottom: 2px solid #8B0000;
  overflow: hidden;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: left;
  z-index: 1000;
}
.navbar a {
  color: #EAEAEA;
  text-decoration: none;
  padding: 14px 16px;
  font-family: 'AHS_P', sans-serif;
  font-size: 22px;
  transition: 0.3s;
}
.navbar a:hover {
  background-color: #8B0000;
  color: #000000;
  box-shadow: 0px 0px 8px #D10000;
}
.navbar a.active {
  background-color: #8B0000;
  color: white;
}
.navbar-right {
  display: flex;
  gap: 10px;
  margin-left: auto;
}


/* Inicio */
.hero {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 150px;
  padding-bottom: 150px;
  background-color: #0E0E0E;
  position: relative;
}
.hero-content {
  background: #1A1A1A;
  padding: 40px;
  border-radius: 8px;
  box-shadow: 0px 4px 10px rgba(139, 0, 0, 0.5);
  border: 2px solid #8B0000;
  max-width: 700px;
  width: 100%;
  text-align: center;
  position: relative;
  z-index: 1;
}
.hero-content h1 {
  font-size: 60px;
  font-family: 'AHS_P', sans-serif;
  margin-bottom: 20px;
  background: linear-gradient(90deg, #D10000, #8B0000);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  color: transparent;
}
.hero-content p {
  font-size: 20px;
  color: #ccc;
  font-family: 'Poppins', sans-serif;
}
.countdown-box {
  margin-top: 30px;
  padding: 20px;
  background: #111;
  border-radius: 10px;
  display: inline-block;
  border: 1px solid #8B0000;
  box-shadow: 0px 2px 6px rgba(139, 0, 0, 0.4);
  width: inherit;
}
#timer {
  font-size: 2em;
  font-family: 'Poppins', sans-serif, monospace;
  color: #fff;
}


/* Contacto */
.contact-section {
  width: 100%;
  max-width: 800px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 150px;
  padding-bottom: 150px;
}
.contact-container {
  width: 100%;
  max-width: 900px;
  display: flex;
  justify-content: center;
}
.contact-box {
  background: #1A1A1A;
  padding: 40px;
  border-radius: 8px;
  box-shadow: 0px 4px 10px rgba(139, 0, 0, 0.5);
  border: 2px solid #8B0000;
  width: 100%;
  max-width: 700px;
}
.contact-box h3 {
  font-size: 50px;
  color: #D10000;
  margin-bottom: 20px;
}
textarea {
  resize: vertical;
  min-height: 150px;
  font-family: 'Poppins', sans-serif;
}


/* Sección de autenticación */
.auth-section {
  width: 100%;
  max-width: 800px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 150px;
  padding-bottom: 150px;
}
.auth-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}
.auth-box {
  background: #1A1A1A;
  padding-top: 100px;
  padding: 25px;
  border-radius: 8px;
  width: 48%;
  box-shadow: 0px 4px 10px rgba(139, 0, 0, 0.5);
  border: 2px solid #8B0000;
  align-content: center;
}
.pass-box {
  position: relative; 
  display: flex; 
  align-items: center;
}
.pass-input {
  width: 100%; 
  padding-right: 35px;
}
.password-toggle-icon {
  position: absolute;
  right: 10px;
  top: 37%;
  transform: translateY(-50%);
  cursor: pointer;
  color: #EAEAEA;
}


/* Mi perfil */
.profile-section {
  width: 100%;
  /*height: 75vh;*/
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 80px;
}
.profile-container {
  width: 100%;
  max-width: 900px;
  display: grid;
  justify-content: center;
}
.profile-box {
  background: #1A1A1A;
  padding: 40px;
  border-radius: 8px;
  box-shadow: 0px 4px 10px rgba(139, 0, 0, 0.5);
  border: 2px solid #8B0000;
  width: 100%;
  max-width: 700px;
}
.profile-box h3 {
  font-size: 50px;
  color: #D10000;
  margin-bottom: 20px;
}
textarea {
  resize: vertical;
  min-height: 150px;
  font-family: 'Poppins', sans-serif;
}


/* Chat Social */
.chat-section {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 40px;
  padding-bottom: 80px
}
.chat-container {
  background: #1A1A1A;
  padding: 30px;
  border-radius: 8px;
  box-shadow: 0px 4px 10px rgba(139, 0, 0, 0.5);
  border: 2px solid #8B0000;
  max-width: 550px;
  width: 100%;
}
.chat-container h3 {
  font-size: 32px;
  color: #D10000;
  margin-bottom: 20px;
}
.chat-messages {
  background-color: #2A2A2A;
  border: 1px solid #8B0000;
  padding: 15px;
  height: 300px;
  overflow-y: auto;
  border-radius: 5px;
  margin-bottom: 15px;
  color: white;
  font-size: 15px;
}
.chat-input {
  display: flex;
  gap: 10px;
  align-items: center;
}
.chat-input input {
  flex: 1;
  padding: 10px;
  background-color: #1A1A1A;
  color: white;
  border: 1px solid #8B0000;
  border-radius: 5px;
  font-family: 'Poppins', sans-serif;
  font-size: 14px;
  height: 40px;
  margin: 0;
}
.chat-input button {
  background-color: #D10000;
  color: white;
  border: none;
  padding: 10px 15px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background 0.3s ease;
  height: 40px;
  margin: 0; 
}
.chat-input button:hover {
  background-color: #a10000;
}
.chat-input button i {
  margin-left: 5px;
}


/* Contraseña olvidada */
.fpasswd-section {
  width: 100%;
  max-width: 800px;
  padding: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: calc(100vh - 150px);
}
.fpasswd-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}
.fpasswd-box {
  background: #1A1A1A;
  padding: 25px;
  border-radius: 8px;
  box-shadow: 0px 4px 10px rgba(139, 0, 0, 0.5);
  border: 2px solid #8B0000;
}
.fpasswd-box h3 {
  font-size: 50px;
  color: #D10000;
  margin-bottom: 20px;
}


/* Estilos otras páginas */
.pages {
  width: 100%;
  max-width: 800px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 150px; 
  padding-bottom: 150px;
}
.pages-content {
  background: #1A1A1A;
  padding: 40px;
  border-radius: 8px;
  box-shadow: 0px 4px 10px rgba(139, 0, 0, 0.5);
  border: 2px solid #8B0000;
  width: 100%;
  max-width: 700px;
  text-align: center;
  text-align: justify;
}
.pages-content h1 {
  font-size: 50px;
  color: #D10000;
  margin-bottom: 20px;
}
.pages-content h2 {
  margin-top: 70px
}
.pages-content p {
  font-size: 18px;
  color: #EAEAEA;
  line-height: 1.6;
  font-family: 'Poppins', sans-serif;
  margin-bottom: 20px;
}
.pages-content ul {
  padding-left: 0;
  margin: 0;
  align-items: start;
  text-align: justify;
}


/* Estilos de títulos */
h1, h3 {
  text-align: center;
  font-family: 'AHS_P', sans-serif;
  font-size: 30px;
  font-weight: 600;
  color: #D10000;
}


/* Formulario */
form {
  display: flex;
  flex-direction: column;
}
label {
  font-size: 14px;
  margin: 5px 0;
}


/* Estilos para los inputs */
input, select, textarea {
  padding: 12px;
  border: 1px solid #8B0000;
  border-radius: 4px;
  background: #0D0D0D;
  color: #EAEAEA;
  margin-bottom: 15px;
  outline: none;
  transition: 0.3s;
}
input:focus, select:focus, textarea:focus {
  border-color: #D10000;
  box-shadow: 0px 0px 5px #D10000;
}
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="white"%3E%3Cpath d="M6 8l4 4 4-4H6z"/%3E%3C/svg%3E');
  background-position: right 10px center;
  background-repeat: no-repeat;
  padding-right: 40px;
}
select option {
  background-color: #2C2C2C;
  color: white;
}


/* Estilos para el botón */
button {
  background: #8B0000;
  color: #EAEAEA;
  font-weight: bold;
  border: none;
  padding: 12px;
  border-radius: 4px;
  cursor: pointer;
  transition: 0.3s;
}
button:hover {
  background: #D10000;
  box-shadow: 0px 0px 10px #D10000;
}


/* Estilos para los placeholders */
input::placeholder, textarea::placeholder {
  color: #888;
}


/* Barra de carga para el select */
select {
  padding: 12px;
  border: 1px solid #8B0000;
  background: #2C2C2C;
  color: white;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  border-radius: 4px;
  outline: none;
}


/* Alertas */
.alert {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  padding: 15px 20px;
  border-radius: 5px;
  color: white;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 10px;
  opacity: 1;
  transition: opacity 0.5s ease-in-out;
  z-index: 1000;
}
.alert.hidden {
  opacity: 0;
  pointer-events: none;
}
.alert.success {
  background-color: #28a745;
}
.alert.error {
  background-color: #dc3545;
}
.alert.info {
  background-color: #17a2b8;
}
.alert.loading {
  background-color: #ffc107;
}
.alert i {
  font-size: 20px;
}


/* Selector de idioma */
.language-selector {
  position: fixed;
  bottom: 20px;
  /*right: 20px;*/
  left: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 1000;
}
.language-button {
  background-color: #222222;
  color: white;
  width: 70px;
  height: 50px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
  transition: background 0.3s, transform 0.2s;
}
.language-button:hover {
  background-color: #8B0000;
  transform: scale(1.1);
  box-shadow: 0px 0px 10px #D10000;
}
.language-button img {
  width: 25px;
  height: 25px;
}
.language-dropdown {
  display: none;
  flex-direction: column;
  background: #222222;
  border-radius: 10px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  margin-bottom: 10px;
}
.language-option {
  display: flex;
  align-items: center;
  padding: 10px;
  cursor: pointer;
  transition: background 0.3s;
}
.language-option:hover {
  background: #8B0000;
}
.language-option img {
  width: 20px;
  height: 20px;
  margin-right: 10px;
}
.language-selector:hover .language-dropdown {
  display: flex;
}


/* Pie de página */
.footer {
  position: relative;
  width: 100%;
  border-top: 2px solid #8B0000;
  background: linear-gradient(to bottom, #000000, #1A1A1A);
  color: white;
  text-align: center;
  padding: 10px;
  margin-top: auto;
}
.footer .footer-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 3.5rem;
  padding: 60px;
}
.footer-row .footer-col h4 {
  color: #fff;
  font-size: 1.2rem;
  font-weight: 400;
}
.footer-col .links {
  margin-top: 20px;
}
.footer-col .links li {
  list-style: none;
  margin-bottom: 10px;
}
.footer-col .links li a {
  text-decoration: none;
  color: #bfbfbf;
}
.footer-col .links li a:hover {
  color: #fff;
}
.footer-col p {
  margin: 20px 0;
  color: #bfbfbf;
  max-width: 300px;
}
.footer-col form {
  display: flex;
  gap: 5px;
}
.footer-col input {
  height: 40px;
  border-radius: 6px;
  background: none;
  width: 100%;
  outline: none;
  border: 1px solid #7489C6 ;
  caret-color: #fff;
  color: #fff;
  padding-left: 10px;
}
.footer-col input::placeholder {
  color: #ccc;
}
 .footer-col form button {
  background: #fff;
  outline: none;
  border: none;
  padding: 10px 15px;
  border-radius: 6px;
  cursor: pointer;
  font-weight: 500;
  transition: 0.2s ease;
}
.footer-col form button:hover {
  background: #cecccc;
}
.footer-col .icons {
  display: flex;
  margin-top: 30px;
  gap: 30px;
  cursor: pointer;
  justify-content: center;
}
.footer-col .icons i {
  color: #afb6c7;
}
.footer-col .icons i:hover  {
  color: #fff;
}


/* Responsive */
@media (max-width: 768px) {
  .auth-container {
    flex-direction: column;
    align-items: center;
  }

  .auth-box {
    width: 100%;
  }

  .footer {
    position: relative;
    bottom: 0;
    left: 0;
    transform: none;
    width: 100%;
    border-radius: 0;
  }
  .footer .footer-row {
    padding: 20px;
    gap: 1rem;
  }
  .footer-col form {
    display: block;
  }
  .footer-col form :where(input, button) {
    width: 100%;
  }
  .footer-col form button {
    margin: 10px 0 0 0;
  }
}